Summary:        Utilities for managing processes on your system
Name:           psmisc
Version:        22.20
Release:        %mkrel 2
License:        GPLv2+
Group:          Monitoring
URL:            http://psmisc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/psmisc/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"
%configure2_5x \
        --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d -m 755 %{buildroot}/sbin
mv %{buildroot}%{_bindir}/fuser %{buildroot}/sbin

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
/sbin/fuser
%{_bindir}/killall
%{_bindir}/prtstat
%{_bindir}/pstree*
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 22.20-2.mga3
+ Revision: 378283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 luigiwalser <luigiwalser> 22.20-1.mga3
+ Revision: 296632
- 22.20

* Sun Jun 24 2012 luigiwalser <luigiwalser> 22.19-1.mga3
+ Revision: 263315
- 22.19

* Tue Jun 19 2012 luigiwalser <luigiwalser> 22.18-1.mga3
+ Revision: 261851
- 22.18

* Mon Jun 11 2012 luigiwalser <luigiwalser> 22.17-1.mga3
+ Revision: 259579
- 22.17
- remove upstreamed patch

* Tue Jan 31 2012 tv <tv> 22.15-2.mga2
+ Revision: 203670
- patch 0: fix "*** buffer overflow detected ***: pstree terminated" (mga#4367,
  patch from suse)

* Sat Jan 28 2012 guillomovitch <guillomovitch> 22.15-1.mga2
+ Revision: 202687
- new version
- spec cleanup

* Wed Sep 14 2011 tv <tv> 22.14-1.mga2
+ Revision: 143238
- new release

* Sat Jan 08 2011 tmb <tmb> 22.13-2.mga1
+ Revision: 333
- imported package psmisc

